[Pkg-voip-commits] r2699 - destar/trunk/debian

Alejandro Rios P. alerios-guest at alioth.debian.org
Tue Nov 14 07:00:03 CET 2006


Author: alerios-guest
Date: 2006-11-14 07:00:02 +0100 (Tue, 14 Nov 2006)
New Revision: 2699

Added:
   destar/trunk/debian/prerm
Modified:
   destar/trunk/debian/changelog
   destar/trunk/debian/postinst
Log:
* Added update-alternatives stuff for op-panel.



Modified: destar/trunk/debian/changelog
===================================================================
--- destar/trunk/debian/changelog	2006-11-14 05:56:47 UTC (rev 2698)
+++ destar/trunk/debian/changelog	2006-11-14 06:00:02 UTC (rev 2699)
@@ -1,10 +1,15 @@
 destar (0.2.0-3) UNRELEASED; urgency=low
 
   * NOT RELEASED YET
+
+  [Santiago Ruano Rincón]
   * Fixed typo and driver comment on README.Debian
 
- -- Santiago Ruano Rincón <santiago at debian.org>  Wed, 25 Oct 2006 17:53:58 -0500
+  [Alejandro Rios P.]
+  * Added update-alternatives stuff for op-panel.
 
+ -- Alejandro Rios P. <alejandro.rios at avatar.com.co>  Tue, 14 Nov 2006 00:58:55 -0500
+
 destar (0.2.0-2) unstable; urgency=low
 
   * Updated dependencies on asterisk package with cdr_sqlite3_custom module

Modified: destar/trunk/debian/postinst
===================================================================
--- destar/trunk/debian/postinst	2006-11-14 05:56:47 UTC (rev 2698)
+++ destar/trunk/debian/postinst	2006-11-14 06:00:02 UTC (rev 2699)
@@ -19,10 +19,23 @@
 
 case "$1" in
     configure)
-        # here we should create the destar user and chown 
+        # We use the asterisk user to run destar
         # /var/{log,run}/destar to it.
-        chown asterisk /var/run/destar/
+	chown -R asterisk:asterisk /var/run/destar/
+	chown -R asterisk:asterisk /var/log/destar/
 	chown asterisk:asterisk /etc/asterisk/destar_cfg.py
+	touch /etc/zaptel.conf
+	chown asterisk:asterisk /etc/zaptel.conf
+	mkdir -p /etc/op-panel/destar/
+	chown -R asterisk:asterisk /etc/op-panel/destar/
+	
+	# Alternative configuration for op-panel: destar, priority 70
+        update-alternatives --install \
+                /etc/op-panel/op_server.cfg op-panel /etc/op-panel/destar/op_server.cfg 70              \
+                --slave /etc/op-panel/op_buttons.cfg op-buttons-cfg /etc/op-panel/destar/op_buttons.cfg \
+                --slave /etc/op-panel/op_astdb.cfg   op-astdb-cfg   /etc/op-panel/asternic/op_astdb.cfg   \
+                --slave /etc/op-panel/op_style.cfg   op-style-cfg   /etc/op-panel/asternic/op_style.cfg
+
     ;;
 
     abort-upgrade|abort-remove|abort-deconfigure)

Added: destar/trunk/debian/prerm
===================================================================
--- destar/trunk/debian/prerm	2006-11-14 05:56:47 UTC (rev 2698)
+++ destar/trunk/debian/prerm	2006-11-14 06:00:02 UTC (rev 2699)
@@ -0,0 +1,42 @@
+#! /bin/sh
+# prerm script for destar
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove|upgrade|deconfigure)
+	
+	# remove this alternative configuration
+	update-alternatives --remove-all op-panel
+	
+        ;;
+    failed-upgrade)
+        ;;
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+




More information about the Pkg-voip-commits mailing list